OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ExternalSource Class Reference

Representation of STEP entity ExternalSource
.

`#include <StepBasic_ExternalSource.hxx>`

## Public Member Functions
Standard_EXPORT | StepBasic_ExternalSource ()
| Empty constructor .
Standard_EXPORT void | Init (const StepBasic_SourceItem &aSourceId)
| Initialize all fields (own and inherited) .
Standard_EXPORT StepBasic_SourceItem | SourceId () const
| Returns field SourceId .
Standard_EXPORT void | SetSourceId (const StepBasic_SourceItem &SourceId)
| Set field SourceId .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
StepBasic_SourceItem | theSourceId

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ExternalSource::StepBasic_ExternalSource | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_ExternalSource::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepBasic_ExternalSource::Init | ( | const StepBasic_SourceItem & | aSourceId | ) |

Standard_EXPORT void StepBasic_ExternalSource::SetSourceId | ( | const StepBasic_SourceItem & | SourceId | ) |

Standard_EXPORT StepBasic_SourceItem StepBasic_ExternalSource::SourceId | ( |  | ) | const

## Field Documentation

StepBasic_SourceItem StepBasic_ExternalSource::theSourceId`[private]`

The documentation for this class was generated from the following file:

- StepBasic_ExternalSource.hxx